@page
@using Domain
@model WebApp.Pages_ExpenseCategories.CreateModel

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Expense category</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="ExpenseCategory.Name" class="control-label"></label>
                <input asp-for="ExpenseCategory.Name" class="form-control" />
                <span asp-validation-for="ExpenseCategory.Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
